| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
jinclude.h File Reference
`#include "jconfig.h"`
`#include <stddef.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`

Go to the source code of this file.

## Macros
#define | JCONFIG_INCLUDED /* so that jpeglib.h doesn't do it again */
#define | MEMZERO(target, size) memset((void *)(target), 0, (size_t)(size))
#define | MEMCOPY(dest, src, size) memcpy((void *)(dest), (const void *)(src), (size_t)(size))
#define | SIZEOF(object) ((size_t) sizeof(object))
#define | JFREAD(file, buf, sizeofbuf) ((size_t) fread((void *) (buf), (size_t) 1, (size_t) (sizeofbuf), (file)))
#define | JFWRITE(file, buf, sizeofbuf) ((size_t) fwrite((const void *) (buf), (size_t) 1, (size_t) (sizeofbuf), (file)))

## Macro Definition Documentation

#define JCONFIG_INCLUDED /* so that jpeglib.h doesn't do it again */

Definition at line 21 of file jinclude.h.

#define JFREAD | ( |  | file,
|  |  | buf,
|  |  | sizeofbuf
| ) |  | ((size_t) fread((void *) (buf), (size_t) 1, (size_t) (sizeofbuf), (file)))

Definition at line 88 of file jinclude.h.

#define JFWRITE | ( |  | file,
|  |  | buf,
|  |  | sizeofbuf
| ) |  | ((size_t) fwrite((const void *) (buf), (size_t) 1, (size_t) (sizeofbuf), (file)))

Definition at line 90 of file jinclude.h.

#define MEMCOPY | ( |  | dest,
|  |  | src,
|  |  | size
| ) |  | memcpy((void *)(dest), (const void *)(src), (size_t)(size))

Definition at line 68 of file jinclude.h.

#define MEMZERO | ( |  | target,
|  |  | size
| ) |  | memset((void *)(target), 0, (size_t)(size))

Definition at line 67 of file jinclude.h.

#define SIZEOF | ( |  | object | ) | ((size_t) sizeof(object))

Definition at line 80 of file jinclude.h.